html {
    background: #ff0075;
    margin: 0;
    height: 100%;
}

@font-face {
  font-family: 'TeleNeo';
  src:  url('teleneo.woff') format('woff');
}


body {
    min-height: 100%;
    font-family: Teleneo,TeleGrotesk,Helvetica,Arial,sans-serif;
}

/** {*/
/*    box-sizing: border-box;*/
/*    padding: 0;*/
/*    margin: 0;*/
/*}*/

.telekom-body {
    margin: 0;
    padding: 0;
}

.black {
    color: black;
}

.grid-strana {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: auto 1fr auto;
    grid-gap: 10px;

    height: 100vh;
}

.grid-header {
    grid-row: 1;
}

.grid-body {
    grid-row: 2;
}

.grid-footer {
    grid-row: 3;
}

.prepis-menu {
    display: grid;
    grid-template-rows: 1em auto auto;
}

.flex-body {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    flex: auto;
    min-height: 200px;
    width: 100%;
}

.flex-body > a {
    max-height: 372px;
    height: 100%;
}

.flex-body > a > img {
    max-height: 372px;
    height: 100%;
    margin: 10px;
}

.flex-body > div {
    x-margin: 10px;
}

/*.flex-strana {*/
/*    display: flex;*/
/*    flex-direction: column;*/
/*    height: 100vh;*/
/*}*/

.flex-menu {
    display: flex;
    align-content: stretch;
    /*justify-content: space-around;*/
    justify-content: center;
    flex-grow: 1;
    /*align-self: center;*/
    /*height: 100vh;*/
}

.flex-menu img {
    padding: 40px;
    align-items: center;
    align-self: center;
    height: 100%;

}

.flex-menu a {
    padding: 40px;
    align-items: center;
    align-self: center;

}

.horni-linka {
    display: flex;
    justify-content: center;
    padding-left: 20px;
    padding-right: 20px;
    padding-top: 10px;
    padding-bottom: -20px;
    font-weight: bold;
    color: white;
}

.prepis-pozadi {
    display: flex;
    background-image: url('img/vlnky.png');
    flex-grow: 1;
    flex-direction: column;
    background-repeat-y: no-repeat;
    background-position-y: center;
}

.prepis-okno {
    padding: 30px;
    background: white;
    border-radius: 30px;
    margin-left: 40px;
    margin-right: 40px;
    margin-top: 30px;
    align-self: stretch;
    height: 100px;
    flex-grow: 1;
    padding-bottom: 40px;
    overflow: auto;
}

.prepis-text {
    height: 100%;
    overflow: auto;
}

.prepis-tlacitka {
    display: flex;
    height: 80px;
    align-self: center;
    align-items: center;
    justify-content: center;
    gap: 20px;
    margin-top: -40px;
}

@media (orientation: landscape) {
    .prepis-tlacitka {
        height: 60px;
        margin-top: -30px;
    }
}

.prepis-tlacitka > a > img {
    height: 100%;
}

.prepis-tlacitka > img {
    height: 100%;
}

.prepis-tlacitka > a {
    height: 100%;
}

.spodni-linka {
    flex-grow: 0;
}

.zazime {
    padding: 20px;
    max-height: 10vh;
}
